Last Comment Bug 696 - TR tags don't expose their ID attribute to DOM
: TR tags don't expose their ID attribute to DOM
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: x86 Windows NT
: P2 normal (vote)
: ---
Assigned To: buster
:
: Andrew Overholt [:overholt]
Mentors:
http://www.mozilla.org/nglayout/testc...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1998-08-27 07:00 PDT by Angus Davis
Modified: 2006-10-29 11:45 PST (History)
3 users (show)
sayrer: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Angus Davis 1998-08-27 07:00:00 PDT
See URL for test case - watch stdout for the alerts. Currently it returns an
empty string, rather than "mytr" (expected) or even null/undefined.
Comment 1 buster 1998-08-27 18:58:59 PDT
Please retest with latest code (as of 8/27/98).  Peter checked in some code that
should have fixed this and related attribute-in-table bugs.
Comment 2 Angus Davis 1998-09-04 01:40:59 PDT
reassigning to buster
Comment 3 Angus Davis 1998-09-20 20:32:59 PDT
Pushing testcase to mozilla.org and updating "URL" field accordingly
Comment 4 buster 1998-09-22 08:00:59 PDT
The test case now works as a result of the new content model table code, as
evidenced by the debug output ("ID attribute is: mytr")
Comment 5 ernie 1998-12-01 18:37:59 PST
stdout returns "ID attribute is: mytr"
marking this verified fixed with the 11/30 build on NT/win98.
Comment 6 Robert Sayre 2006-10-29 11:45:39 PST
RCS file: /cvsroot/mozilla/testing/mochitest/tests/test_bug696.html,v
done
Checking in tests/test_bug696.html;
/cvsroot/mozilla/testing/mochitest/tests/test_bug696.html,v  <--  test_bug696.html
initial revision: 1.1
done

Note You need to log in before you can comment on or make changes to this bug.